# vim: set ts=4 sw=4 et:
#
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.

Name:           libhdhomerun
Version:        20100828
%define soname %{version}
Release:        1.pm.1.1
Summary:        HD library for your pc
Group:          System/Libraries
License:        GNU Lesser General Public License version 3 (LGPL v3)
Url:            http://www.silicondust.com
BuildRequires:  glibc-devel gcc make pkgconfig
# http://download.silicondust.com/hdhomerun/libhdhomerun_%{version}.tgz
Source:         libhdhomerun_%{version}.tgz
Patch1:         libhdhomerun-fix_makefile.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Main library to make HD HomeRUN products works with Linux

%package -n %{name}%{soname}
Summary:        HD library for your PC
Group:          System/Libraries

%description -n %{name}%{soname}
Main library to make HD HomeRUN products works with Linux.

%package devel
Summary:        HD library for your PC
Group:          Development/Libraries/C and C++
Requires:       %{name}%{soname} = %{version}

%description devel
Development environment for %{name}.

%package -n hdhomerun-config
Summary:        HD HomeRUN Configuration Tool
Group:          Productivity/Multimedia/Other
Requires:       %{name}%{soname} = %{version}

%description -n hdhomerun-config
Command-line tool to configure parameters to use HD HomeRUN.

%prep
%setup -q -n libhdhomerun
%patch1
%__chmod 0644 *
%__sed -i -e 's/\r$//' README

%build
%__make %{?_smp_flags} SONAME="%{version}" OPTFLAGS="%{optflags}"

%install
%__install -D -m0755 hdhomerun_config "%{buildroot}%{_bindir}/hdhomerun_config"
%__ln_s hdhomerun_config "%{buildroot}%{_bindir}/hdhomerun-config"

%__install -d "%{buildroot}%{_libdir}"
%__cp -a lib*.so* "%{buildroot}%{_libdir}/"

%__install -d "%{buildroot}%{_includedir}/hdhomerun"
%__install -m0644 *.h "%{buildroot}%{_includedir}/hdhomerun/"

%__install -d "%{buildroot}%{_libdir}/pkgconfig"
cat<<'EOF' >"%{buildroot}%{_libdir}/pkgconfig/libhdhomerun.pc"
prefix=%{_prefix}
exec_prefix=%{_exec_prefix}
libdir=%{_libdir}
includedir=%{_includedir}/hdhomerun

Name: %{name}
Description: Library to use HD HomeRUN
Version: %{version}
Requires: 
Cflags: -I${includedir}
Libs: -L${libdir} -lhdhomerun
EOF

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%post   -n %{name}%{soname} -p /sbin/ldconfig
%postun -n %{name}%{soname} -p /sbin/ldconfig

%files -n %{name}%{soname}
%defattr(-,root,root)
%doc README
%{_libdir}/libhdhomerun.so.%{soname}

%files devel
%defattr(-,root,root)
%{_includedir}/hdhomerun
%{_libdir}/libhdhomerun.so
%{_libdir}/pkgconfig/libhdhomerun.pc

%files -n hdhomerun-config
%defattr(-,root,root)
%{_bindir}/hdhomerun_config
%{_bindir}/hdhomerun-config

%changelog
* Sun Mar  6 2011 pascal.bleser@opensuse.org
- refactored spec file:
  * add pkgconfig file
  * proper shared library policy
  * add proper SONAME to library
